package id.go.kemenag.madrasah.pmrms.auth.controller

import id.go.kemenag.madrasah.pmrms.auth.model.request.auth.ForgotPasswordRequest
import id.go.kemenag.madrasah.pmrms.auth.model.request.auth.LoginRequest
import id.go.kemenag.madrasah.pmrms.auth.model.response.ReturnData
import id.go.kemenag.madrasah.pmrms.auth.service.AuthService
import io.swagger.annotations.Api
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*
import javax.validation.Valid

@Api(tags = ["Auth"], description = "Auth API")
@RestController
@RequestMapping(path = ["auth"])
class AuthController {

    @Autowired
    private lateinit var service: AuthService

    @PostMapping(value = ["login"], produces = ["application/json"])
    fun login(@Valid @RequestBody request: LoginRequest): ResponseEntity<ReturnData> {
        return service.login(request)
    }

    @PostMapping(value = ["forgot-password"], produces = ["application/json"])
    fun forgotPassword(@Valid @RequestBody request: ForgotPasswordRequest): ResponseEntity<ReturnData> {
        return service.forgotPassword(request)
    }

    @GetMapping(value = ["detail"], produces = ["application/json"])
    fun detail(): ResponseEntity<ReturnData> {
        return service.detail()
    }
}
